Bug 202097 - dolphin shows empty error for limited ftp connection
Summary: dolphin shows empty error for limited ftp connection
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: SVN
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 16:09 UTC by Ivan Babrou
Modified: 2011-03-23 19:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Babrou 2009-07-31 16:09:47 UTC
Version:           1.3 (using KDE 4.2.98)
Compiler:          gcc (Gentoo 4.4.1 p1.0) 4.4.1  CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -mfpmath=sse -mmmx -msse -msse2 -msse3" 
OS:                Linux
Installed from:    Gentoo Packages

I tried to open file from ftp, but kwrite said that 4 connections is max. Then I tried to refresh ftp folder contents and saw that: http://bobrik.name/uploads/temp/dolphin-ftp-bug.png

ftp command works well with that server and shows no error, but dolphin shows that error.

kwrite error: 530 Sorry, the maximum number of clients (4) from your host are already connected.

additional: after dolphin restart everything repeats from the beginning, but preview for file that i want to open works
Comment 1 Peter Penz 2009-08-03 11:06:27 UTC
I've bypassed this issue in Dolphin, so that instead of an empty error message the message "Unknown error." is shown [1]. However no empty message should be passed in the error case from below at all, so I'm reassigning this issue to kio (at least it is my assumption that no empty error message should be passed).

Internal info: Dolphin overwrite KDirLister::handleError(KIO::Job* job) and shows job->errorString() as message.

[1] This will go into KDE 4.4, as it cannot be backport to KDE 4.3 because of a string change...
Comment 2 Peter Penz 2011-03-23 19:10:18 UTC
Git commit c75f00df21d127b24a0e243eeeeaa075a8408cf9 by Peter Penz.
Committed on 23/03/2011 at 19:07.
Pushed by ppenz into branch 'master'.

KUrlNavigator: Don't use KIO::stat() for all non-local URLs

Doing a text-resolving with KIO::stat() for all non-local
URLs leads to problems for protocols where a limit is given for
the number of parallel connections.

BUG: 179237
BUG: 228345
BUG: 202097
FIXED-IN: 4.7.0

M  +16   -3    kfile/kurlnavigatorbutton.cpp     

http://commits.kde.org/kdelibs/c75f00df21d127b24a0e243eeeeaa075a8408cf9